Skip to main content
PATCH

Authorizations

Authorization
string
header
default:<auth-token>
required

Your API token, sent raw (no Bearer prefix).

Path Parameters

gatewayId
string
required

Body

application/json
name
string
mediaEncryption
enum<string>
default:disable
Available options:
enable,
disable
sipRegion
enum<string>

auto stores no region and lets us pick.

Available options:
auto,
us002,
in002
address
string

Outbound gateways only.

transport
enum<string>
default:tls

Outbound gateways only.

Available options:
udp,
tcp,
tls
auth
object

Outbound gateways only. Send both username and password.

Response

Gateway updated.

message
string
Example:

"Gateway updated successfully"

gateway
object